- if can?(current_user, :push_code, @project)
  - can_create_merge_request = can?(current_user, :create_merge_request_in, @project)
  - data_action = can_create_merge_request ? 'create-mr' : 'create-branch'
  - value = can_create_merge_request ? 'Create merge request' : 'Create branch'

  - can_create_path = can_create_branch_project_issue_path(@project, @issue)
  - create_mr_path = create_merge_request_project_issue_path(@project, @issue, branch_name: @issue.to_branch_name, ref: @project.default_branch)
  - create_branch_path = project_branches_path(@project, branch_name: @issue.to_branch_name, ref: @project.default_branch, issue_iid: @issue.iid)
  - refs_path = refs_namespace_project_path(@project.namespace, @project, search: '')

  .create-mr-dropdown-wrap{ data: { can_create_path: can_create_path, create_mr_path: create_mr_path, create_branch_path: create_branch_path, refs_path: refs_path } }
    .btn-group.unavailable
      %button.btn.btn-grouped{ type: 'button', disabled: 'disabled' }
        = icon('spinner', class: 'fa-spin')
        %span.text
          Checking branch availability…
    .btn-group.available.hidden
      %button.btn.js-create-merge-request.btn-success.btn-inverted{ type: 'button', data: { action: data_action } }
        = value

      %button.btn.create-merge-request-dropdown-toggle.dropdown-toggle.btn-success.btn-inverted.js-dropdown-toggle{ type: 'button', data: { dropdown: { trigger: '#create-merge-request-dropdown' }, display: 'static' } }
        = icon('caret-down')

      .droplab-dropdown
        %ul#create-merge-request-dropdown.create-merge-request-dropdown-menu.dropdown-menu.dropdown-menu-right.gl-show-field-errors{ data: { dropdown: true } }
          - if can_create_merge_request
            %li.droplab-item-selected{ role: 'button', data: { value: 'create-mr', text: _('Create merge request') } }
              .menu-item
                = icon('check', class: 'icon')
                = _('Create merge request and branch')

          %li{ class: [!can_create_merge_request && 'droplab-item-selected'], role: 'button', data: {  value: 'create-branch', text: _('Create branch') } }
            .menu-item
              = icon('check', class: 'icon')
              = _('Create branch')
          %li.divider.droplab-item-ignore

          %li.droplab-item-ignore.prepend-left-8.append-right-8.prepend-top-16
            .form-group
              %label{ for: 'new-branch-name' }
                = _('Branch name')
              %input#new-branch-name.js-branch-name.form-control{ type: 'text', placeholder: "#{@issue.to_branch_name}", value: "#{@issue.to_branch_name}" }
              %span.js-branch-message.form-text.text-muted

            .form-group
              %label{ for: 'source-name' }
                = _('Source (branch or tag)')
              %input#source-name.js-ref.ref.form-control{ type: 'text', placeholder: "#{@project.default_branch}", value: "#{@project.default_branch}", data: { value: "#{@project.default_branch}" } }
              %span.js-ref-message.form-text.text-muted

            .form-group
              %button.btn.btn-success.js-create-target{ type: 'button', data: { action: 'create-mr' } }
                = _('Create merge request')
